## Table: `character_details`

**Description:**

Defines `character_details` table in the World database.

**Columns:**
- `id` (int(10), PRIMARY KEY, AUTO_INCREMENT, NOT NULL)
- `char_id` (int(10), NOT NULL, DEFAULT 0)
- `hp` (int(10), NOT NULL, DEFAULT 0)
- `power` (int(10), NOT NULL, DEFAULT 0)
- `savagery` (int(10), NOT NULL, DEFAULT 0)
- `dissonance` (int(10), NOT NULL, DEFAULT 0)
- `max_concentration` (tinyint(3), NOT NULL, DEFAULT 0)
- `attack` (int(10), NOT NULL, DEFAULT 0)
- `mitigation` (smallint(5), NOT NULL, DEFAULT 0)
- `avoidance` (smallint(5), NOT NULL, DEFAULT 0)
- `parry` (smallint(5), NOT NULL, DEFAULT 0)
- `deflection` (smallint(5), NOT NULL, DEFAULT 0)
- `block` (smallint(5), NOT NULL, DEFAULT 0)
- `str` (smallint(5), NOT NULL, DEFAULT 0)
- `sta` (smallint(5), NOT NULL, DEFAULT 0)
- `agi` (smallint(5), NOT NULL, DEFAULT 0)
- `wis` (smallint(5), NOT NULL, DEFAULT 0)
- `intel` (smallint(5), NOT NULL, DEFAULT 0)
- `heat` (smallint(5), NOT NULL, DEFAULT 0)
- `cold` (smallint(5), NOT NULL, DEFAULT 0)
- `magic` (smallint(5), NOT NULL, DEFAULT 0)
- `mental` (smallint(5), NOT NULL, DEFAULT 0)
- `divine` (smallint(5), NOT NULL, DEFAULT 0)
- `disease` (smallint(5), NOT NULL, DEFAULT 0)
- `poison` (smallint(5), NOT NULL, DEFAULT 0)
- `elemental` (smallint(5), NOT NULL, DEFAULT 0)
- `arcane` (smallint(5), NOT NULL, DEFAULT 0)
- `noxious` (smallint(5), NOT NULL, DEFAULT 0)
- `coin_copper` (int(10), NOT NULL, DEFAULT 0)
- `coin_silver` (int(10), NOT NULL, DEFAULT 0)
- `coin_gold` (int(10), NOT NULL, DEFAULT 0)
- `coin_plat` (int(10), NOT NULL, DEFAULT 0)
- `pet_name` (varchar(32), NOT NULL, DEFAULT 'No Pet')
- `status_points` (int(10), NOT NULL, DEFAULT 0)
- `max_power` (int(10), NOT NULL, DEFAULT 0)
- `max_hp` (int(10), NOT NULL, DEFAULT 0)
- `max_savagery` (int(10), NOT NULL, DEFAULT 0)
- `max_dissonance` (int(10), NOT NULL, DEFAULT 0)
- `xp` (int(10), NOT NULL, DEFAULT 0)
- `xp_needed` (int(10), NOT NULL, DEFAULT 0)
- `xp_debt` (float, NOT NULL, DEFAULT 0)
- `xp_vitality` (float, NOT NULL, DEFAULT 0)
- `tradeskill_xp` (int(10), NOT NULL, DEFAULT 0)
- `tradeskill_xp_needed` (int(10), NOT NULL, DEFAULT 0)
- `tradeskill_xp_debt` (int(10), NOT NULL, DEFAULT 0)
- `tradeskill_xp_vitality` (float, NOT NULL, DEFAULT 0)
- `bank_copper` (int(10), NOT NULL, DEFAULT 0)
- `bank_silver` (int(10), NOT NULL, DEFAULT 0)
- `bank_gold` (int(10), NOT NULL, DEFAULT 0)
- `bank_plat` (int(10), NOT NULL, DEFAULT 0)
- `bind_zone_id` (int(10), NOT NULL, DEFAULT 0)
- `bind_x` (float, NOT NULL, DEFAULT 0)
- `bind_y` (float, NOT NULL, DEFAULT 0)
- `bind_z` (float, NOT NULL, DEFAULT 0)
- `bind_heading` (float, NOT NULL, DEFAULT 0)
- `house_zone_id` (int(10), NOT NULL, DEFAULT 0)
- `combat_voice` (smallint(5), NOT NULL, DEFAULT 52)
- `emote_voice` (smallint(5), NOT NULL, DEFAULT 1060)
- `biography` (varchar(512), NOT NULL, DEFAULT '')
- `flags` (int(10), NOT NULL, DEFAULT 301465665)
- `flags2` (int(10), NOT NULL, DEFAULT 131112)
- `prefix_title` (int(10), NOT NULL, DEFAULT -1)
- `suffix_title` (int(10), NOT NULL, DEFAULT -1)
- `current_language` (smallint(5), NOT NULL, DEFAULT 0)
- `last_name` (varchar(64), NOT NULL, DEFAULT '')
- `assigned_aa` (smallint(5), NOT NULL, DEFAULT 0)
- `unassigned_aa` (smallint(5), NOT NULL, DEFAULT 0)
- `tradeskill_aa` (smallint(5), NOT NULL, DEFAULT 0)
- `unassigned_tradeskill_aa` (smallint(5), NOT NULL, DEFAULT 0)
- `prestige_aa` (smallint(5), NOT NULL, DEFAULT 0)
- `unassigned_prestige_aa` (smallint(5), NOT NULL, DEFAULT 0)
- `tradeskill_prestige_aa` (smallint(5), NOT NULL, DEFAULT 0)
- `unassigned_tradeskill_prestige_aa` (smallint(5), NOT NULL, DEFAULT 0)

**Primary Keys:**
- id

**Indexes/Notes:**
- UNIQUE KEY `CharIDX` (`char_id`)
- CONSTRAINT `FK_character_details` FOREIGN KEY (`char_id`) REFERENCES `characters` (`id`) ON DELETE CASCADE ON UPDATE CASCADE